Subject: Re: [IPROUTE 01/05]: Use tc_calc_xmittime where appropriate

From: Patrick McHardy <[email-masked]>
Date: Tue, 16 Jan 2007 13:28:52 +0100

Jarek Poplawski wrote:
> On Tue, Jan 16, 2007 at 11:19:34AM +0100, Patrick McHardy wrote:
> ...
> 
>>Right, this changes it from long (tc_core_usec2tick) to unsigned
>>int. It doesn't make any difference though, ... 
> 
> 
> ... if we count out reading_time_2tick, of course.

And this is a problem why? In the worst case (NET_SCH_CLK_CPU,
max rate 1/0.5us) it allows us to represent a transmission time
of 2^32/1000000/2s (where 2 is tick_in_usec), which is roughly
2147s.

If you still have doubts, please use numbers to demonstrate the
problem.